ayuda con sources.list

Imagen de jailhunter
0 puntos

desde hace poco tengo un problemilla con halgo llamado sources.list

el error sucede cuando habro añadir y quitar programas y es halgo asi:

Error al comprobar las aplicaciones instaladas y disponibles

Este es un fallo importante en su sistema de gestión de software. Por favor, compruebe si existen paquetes rotos con synaptic, compruebe los permisos y la corrección del archivo «/etc/apt/sources.list» y vuelva a cargar la información del software con: «sudo apt-get update» y «sudo apt-get install -f».

lo lei y le hice caso asi que puse en la terminal /etc/apt/sources.list pero me bota esto:

bash: /etc/apt/sources.list: Permiso denegado

luego preobe con sudo apt-get update y me pidio la clave, la escrivi y me salio esto:

charley@Charley-pc:~$ sudo apt-get update
[sudo] password for charley:
E: Línea 16 mal formada en lista de fuentes /etc/apt/sources.list (análisis de dist)
charley@Charley-pc:~$

finalmente probe con el tercero, sudo apt-get install -f y me volvio a botar esto:

charley@Charley-pc:~$ sudo apt-get install -f
[sudo] password for charley:
E: Línea 16 mal formada en lista de fuentes /etc/apt/sources.list (análisis de dist)
E: No se pudieron leer las listas de fuentes.
charley@Charley-pc:~$

si alguien sabe como arreglarlo porfavor ayudenme!!!

Imagen de javierde22
+1
0
-1

Creo que lo que te ha pasado es que tu versión es muy antigua.

Ubuntu solo deja los repositorios durante 1 año si no es una verisión LTS que son 3

Hay una dirección para poder actualizar la versión de ubuntu pero casi que te aconsejo que reinstales el sistema a una versión nueva de ubuntu.

+1
0
-1
Imagen de jailhunter
+1
0
-1

se puede instalar la ultima version de ubuntu sin nesecidad de un cd?

+1
0
-1

Fly high reaching skies

Imagen de javierde22
+1
0
-1

Desde un pendrive
Mira si tienes

Sistema/Administración/Creador de discos de arranque

Si lo tienes

Descargas la iso, pones el pen y listo.

+1
0
-1
Imagen de jailhunter
+1
0
-1

podrias explicarme como hacerlo?

+1
0
-1

Fly high reaching skies

Imagen de javierde22
+1
0
-1

Mira a ver si tienes la opción
Sistema/Administración/Creador de discos de arranque

+1
0
-1
Imagen de voyager1
+1
0
-1

Buenas

1º intentas ver tu sources.list sin sudo.
2º Parece que la línea 16 de tu sources.list no está correctamente formada.

Quiza si pùedes entrar en tu sources.list y pegas tu sources.list quizá te pueda ayudar.

Un saludo

Carlos

+1
0
-1

usuario de gnu con kernel linux número 481.784

Antes de preguntar suelo hacer ...RTFM y STFW, es decir, intento leer la correcta pagina del manual, y buscar la solución por la red. Evidentemente siempre me quedan manuales y paginas por leer, e intento

Imagen de jailhunter
+1
0
-1

y como hago eso que estas diciendo, eso de entrar a sources list

+1
0
-1

Fly high reaching skies

Imagen de javierde22
+1
0
-1

Antes de nada prueba lo de voyager1

pon

sudo gedit /etc/apt/sources.list

y a la línea 16 si no le ves nada raro le pones una almohadilla delante # para anularla

+1
0
-1
Imagen de jailhunter
+1
0
-1

salio esto:

deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Release i386 (20081029.5)]/ intrepid main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://co.archive.ubuntu.com/ubuntu/ intrepid main restricted universe
deb-src http://co.archive.ubuntu.com/ubuntu/ intrepid main restricted universe

## Major bug fix updates produced after the final release of the
## distribution.
deb http://co.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted universe
deb-src http://co.archive.ubuntu.com/ubuntu/ intrepid-updates main restricted universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://co.archive.ubuntu.com/ubuntu/ intrepid
deb-src http://co.archive.ubuntu.com/ubuntu/ intrepid
deb http://co.archive.ubuntu.com/ubuntu/ intrepid-updates
deb-src http://co.archive.ubuntu.com/ubuntu/ intrepid-updates

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://co.archive.ubuntu.com/ubuntu/ intrepid multiverse
deb-src http://co.archive.ubuntu.com/ubuntu/ intrepid multiverse
deb http://co.archive.ubuntu.com/ubuntu/ intrepid-updates multiverse
deb-src http://co.archive.ubuntu.com/ubuntu/ intrepid-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
#deb http://co.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted multiverse
#deb-src http://co.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
#deb http://archive.canonical.com/ubuntu intrepid partner
#deb-src http://archive.canonical.com/ubuntu intrepid partner

deb http://security.ubuntu.com/ubuntu intrepid-security main restricted universe
deb-src http://security.ubuntu.com/ubuntu intrepid-security main restricted
deb http://security.ubuntu.com/ubuntu intrepid-security
deb-src http://security.ubuntu.com/ubuntu intrepid-security
deb http://security.ubuntu.com/ubuntu intrepid-security multiverse
deb-src http://security.ubuntu.com/ubuntu intrepid-security multiverse
deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Release i386 (20081029.5)]/ intrepid main restricted

ahora que??

+1
0
-1

Fly high reaching skies

Imagen de voyager1
+1
0
-1

Buenas

Comenta la línea 16

de todas maneras la 8.10 es un poco antigua, yo actualizaría de 8.10 a 10.10 pasando por
todas las versiones anteriores.

Un saludo

Nota: cuidado con tu /home es recomendable hacer copia de los datos de tu /home, especialmente si /home está en la misma partición que /.

Un saludo

Carlos

+1
0
-1

usuario de gnu con kernel linux número 481.784

Antes de preguntar suelo hacer ...RTFM y STFW, es decir, intento leer la correcta pagina del manual, y buscar la solución por la red. Evidentemente siempre me quedan manuales y paginas por leer, e intento

Imagen de javierde22
+1
0
-1

Sigo creyendo que se te han caducado los repositorios para esta versión, lo que tanto tocar el /etc/apt/sources.list se habrá cambiado algo.

+1
0
-1
Imagen de jailhunter
+1
0
-1

y ahora que me recomiendas?

+1
0
-1

Fly high reaching skies

Imagen de voyager1
+1
0
-1

+1
0
-1

usuario de gnu con kernel linux número 481.784

Antes de preguntar suelo hacer ...RTFM y STFW, es decir, intento leer la correcta pagina del manual, y buscar la solución por la red. Evidentemente siempre me quedan manuales y paginas por leer, e intento

Imagen de jailhunter
+1
0
-1

y como le hago para actualizar mi version

+1
0
-1

Fly high reaching skies

Imagen de jailhunter
+1
0
-1

no tengo tal aplicacion!

+1
0
-1

Fly high reaching skies

Imagen de voyager1
+1
0
-1

Buenas

Creo recordar que con un

sudo update-manager -d

Actualizas a 9.04, pero quizá te dé problemas. Haz copua de tu /home antes de actualizar.

Un saludo

Carlos

+1
0
-1

usuario de gnu con kernel linux número 481.784

Antes de preguntar suelo hacer ...RTFM y STFW, es decir, intento leer la correcta pagina del manual, y buscar la solución por la red. Evidentemente siempre me quedan manuales y paginas por leer, e intento

Imagen de jailhunter
+1
0
-1

ola acabo de hacer lo que me dijiste, pero cuando entre al terminal y puse sudo update-manager -d

No se ha podido inicializar la información de los paquetes

Ha ocurrido un problema imposible de corregir cuando se inicializaba la información de los paquetes.

Por favor, informe de ésto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:

'E:Línea 16 mal formada en lista de fuentes /etc/apt/sources.list (análisis de dist), E:No se pudieron leer las listas de fuentes.'

+1
0
-1

Fly high reaching skies

Imagen de voyager1
+1
0
-1

Buenas

comenta la línea 16 de tu sources.list e intenta un sudo dpkd --configure -a

Un saludo

Carlos

+1
0
-1

usuario de gnu con kernel linux número 481.784

Antes de preguntar suelo hacer ...RTFM y STFW, es decir, intento leer la correcta pagina del manual, y buscar la solución por la red. Evidentemente siempre me quedan manuales y paginas por leer, e intento

Imagen de Leon
+1
0
-1

A estas alturas es mucho más sencillo que actualices desde el pendrive, o incluso a través de internet con una instalación mínima haciendo la reinstalación, porque cuando consigas actualizar la versión del sources.list la actualizacion de los paquetes te va a dar un montón de problemas de paquetes que ya no están, han cambiado de nombre o tienen dependencias incoherentes para la actualización y no vas a saber resolverlo.

Reinstala haciendo la copia del /home como te dicen por aquí.

+1
0
-1
Imagen de jailhunter
+1
0
-1

se puede reinstalar el ubuntu 8.10 desde el mismo cd?

o como puedo formatearlo para volver a instalarlo?

+1
0
-1

Fly high reaching skies

Imagen de modmar
+1
0
-1

En primer lugar veamos cual es la linea 16

En la terminal pones

gksudo gedit /etc/apt/sources.list

Cuando el programa este abierto vas a

Editar-Preferencias

en la ventana que se abre en la pestaña Ver seleccionas Mostrar números de linea y ya puedes ver en el margen izquierdo el numero de la linea

Después comentas la linea (pones un # delante de la linea).

De todos los modos no creo que te sirva de mucho pues la Intrepid ya no tiene soporte

Mi recomendación seria actualizar a la primera versión con soporte que seria Karmic o sea Ubuntu 9.10.
Para ello harías lo siguiente. En el sources.list (primero haz una copia) cambias la palabra intrepid por karmic guardas y cierras (¡cuidado con las mayúsculas!)

Luego en la terminal escribes

sudo aptitude update

Si todo va bien (antes de los siguientes pasos)creo que seria mejor que primero desinstalases programas que por el momento no vas a necesitar, pues cuanto menos tengas que actualizar menos tiempo te llevará y esos programas los puedes instalar después. Me refiero a Openoffice, gimp,juegos y otros programas. Ante la duda no lo elimines, pero elimina todo lo que puedas. Esto anterior lo haces desde Synaptic

Luego y de nuevo en la terminal

sudo aptitude full-upgrade

y después

sudo aptitude dist-upgrade

De esta forma actualizarías a la versión Ubuntu 9.10.
El tiempo que te llevara dependerá de tu linea a internet

Esta forma de actualizar casi siempre suele dar algún problema al arrancar de nuevo pero que siempre tienen fácil solución
Si quieres intentarlo esos son los pasos que sigo yo y siempre salí adelante, que conste que nunca hice una actualización con tantas versiones por medio, por lo que no te garantizo el éxito absoluto así que tu veras si es una buena idea hacerlo de este modo

+1
0
-1

“Microsoft siempre ofrece la primera dosis gratis”... Richard Matthew Stallman

Imagen de modmar
+1
0
-1

Un lapsus

+1
0
-1

“Microsoft siempre ofrece la primera dosis gratis”... Richard Matthew Stallman

Imagen de jailhunter
+1
0
-1

ya instale el 10.10

+1
0
-1

Fly high reaching skies

Imagen de voyager1
+1
0
-1

Buenas

Seríua de mucha ayuda, que indicaras que tu problema está solucionado y como has conseguido solucionarlo.

Un saludo

Carlos

+1
0
-1

usuario de gnu con kernel linux número 481.784

Antes de preguntar suelo hacer ...RTFM y STFW, es decir, intento leer la correcta pagina del manual, y buscar la solución por la red. Evidentemente siempre me quedan manuales y paginas por leer, e intento